Skip to main content
GET
/
v1
/
vaults
/
{vault_id}
Get Vault Detail
curl --request GET \
  --url https://api.yieldo.xyz/v1/vaults/{vault_id}
{
  "vault_id": "<string>",
  "name": "<string>",
  "address": "<string>",
  "chain_id": 123,
  "chain_name": "<string>",
  "asset": {
    "address": "<string>",
    "symbol": "<string>",
    "decimals": 123
  },
  "deposit_router": "<string>",
  "accepted_assets": [],
  "type": "morpho",
  "min_deposit": "<string>",
  "no_minimum": false,
  "curator": "<string>",
  "paused": false,
  "paused_reason": "<string>",
  "external_router": false,
  "total_assets": "<string>",
  "total_supply": "<string>",
  "share_price": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.yieldo.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

vault_id
string
required

Response

Successful Response

vault_id
string
required
name
string
required
address
string
required
chain_id
integer
required
chain_name
string
required
asset
AssetInfo · object
required
deposit_router
string
required
accepted_assets
AssetInfo · object[]
type
string
default:morpho
min_deposit
string | null
no_minimum
boolean
default:false
curator
string | null
paused
boolean
default:false
paused_reason
string | null
external_router
boolean
default:false
total_assets
string | null
total_supply
string | null
share_price
string | null